var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const shiki_1 = require("shiki");
const unist_util_map_1 = __importDefault(require("unist-util-map"));
const plugin = () => {
    const transformer = async (tree) => {
        const highligher = await shiki_1.getHighlighter({
            theme: 'github-light',
        });
        return unist_util_map_1.default(tree, (node) => {
            if (node.type === 'block' && node.name === 'src') {
                const lang = node.params[0] || 'unkown';
                return {
                    type: 'html',
                    value: highligher.codeToHtml(`${node.value}`, lang),
                };
            }
            return node;
        });
    };
    return transformer;
};
exports.default = plugin;
//# sourceMappingURL=index.js.map